# Site Survey

## Get Site Survey

> Retrieve the site survey record associated with the specified merchant.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/SiteSurveys/{merchantNumber}":{"get":{"tags":["Site Survey"],"summary":"Get Site Survey","description":"Retrieve the site survey record associated with the specified merchant.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a Site Survey successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SiteSurvey"}}}},"204":{"description":"No content."},"400":{"description":"Bad Request: If merchant number is null or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: Site Survey not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.SiteSurvey":{"required":["agreementAccepted","inventoryMatchesProductSold","siteSurveyConductedInPerson","siteTypeID","validIDVerified"],"type":"object","properties":{"siteTypeID":{"maximum":4,"minimum":1,"type":"string","description":"Site values are from 1 to 4, representing different site types. Possible values:\r\n1 - Other\r\n2 - BrickAndMortar\r\n3 - Tradeshow\r\n4 - Residence"},"otherSiteTypeDescription":{"type":"string","description":"Description of the site type, used when SiteTypeID is 1 (Other).","nullable":true},"siteSurveyConductedInPerson":{"type":"string","description":"Indicates whether the site survey was conducted in person."},"merchantAcquisitionTypeID":{"maximum":3,"minimum":1,"type":"string","description":"The type of merchant acquisition. Valid values are from 1 to 3, representing acquisition methods.","nullable":true},"validIDVerified":{"type":"string","description":"Indicates whether a valid ID has been verified."},"inventoryMatchesProductSold":{"type":"string","description":"Indicates whether the inventory matches the products being sold."},"inventoryMatchesProductSoldComments":{"type":"string","description":"Additional comments if the inventory does not match the products being sold.","nullable":true},"agreementAccepted":{"type":"string","description":"Indicates whether the agreement has been accepted by the merchant."},"selfSignUpApplication":{"type":"boolean","description":"Indicates whether the application was submitted via self-sign-up."}},"additionalProperties":false},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Update Site Survey

> Update an existing site survey record for the specified merchant.> \
> &#x20;          &#x20;> \
> Note: The updated site survey must include the following details in request body:> \
> \- SiteSurveyId> \
> \- Agreement acceptance status> \
> \- Site description> \
> \- Additional metadata

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/SiteSurveys/{merchantNumber}":{"put":{"tags":["Site Survey"],"summary":"Update Site Survey","description":"Update an existing site survey record for the specified merchant.\r\n            \r\nNote: The updated site survey must include the following details in request body:\r\n- SiteSurveyId\r\n- Agreement acceptance status\r\n- Site description\r\n- Additional metadata","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"SiteSurvey's details model.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SiteSurvey"}}},"required":true},"responses":{"200":{"description":"Saves a Site Survey successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.SiteSurvey"}}}},"400":{"description":"Bad request: If merchant number is null or empty, or data is invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: Resource not found exception.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.SiteSurvey":{"required":["agreementAccepted","inventoryMatchesProductSold","siteSurveyConductedInPerson","siteTypeID","validIDVerified"],"type":"object","properties":{"siteTypeID":{"maximum":4,"minimum":1,"type":"string","description":"Site values are from 1 to 4, representing different site types. Possible values:\r\n1 - Other\r\n2 - BrickAndMortar\r\n3 - Tradeshow\r\n4 - Residence"},"otherSiteTypeDescription":{"type":"string","description":"Description of the site type, used when SiteTypeID is 1 (Other).","nullable":true},"siteSurveyConductedInPerson":{"type":"string","description":"Indicates whether the site survey was conducted in person."},"merchantAcquisitionTypeID":{"maximum":3,"minimum":1,"type":"string","description":"The type of merchant acquisition. Valid values are from 1 to 3, representing acquisition methods.","nullable":true},"validIDVerified":{"type":"string","description":"Indicates whether a valid ID has been verified."},"inventoryMatchesProductSold":{"type":"string","description":"Indicates whether the inventory matches the products being sold."},"inventoryMatchesProductSoldComments":{"type":"string","description":"Additional comments if the inventory does not match the products being sold.","nullable":true},"agreementAccepted":{"type":"string","description":"Indicates whether the agreement has been accepted by the merchant."},"selfSignUpApplication":{"type":"boolean","description":"Indicates whether the application was submitted via self-sign-up."}},"additionalProperties":false},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```
